var brush64 = "data:image/png;base64,\
iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A\
/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9wDDA81B5NXo7QAAAAdaVRYdENv\
bW1lbnQAAAAAAENyZWF0ZWQgd2l0aCBHSU1QZC5lBwAAAINJREFUGNONkEEKwlAMRF++vYi66CUU\
vIp4uR6kFA9Rd+IVXLXPhSnYv6kDk5BkIMmECgQZylIkpm/SUEjBETizRg88gBkllIPSKc+KndIq\
gbJTrjmw4ku5KU3JFcEGCn+iAALvLWGTwnt+eKrmQ/anxZ4A9sClurcHRmCOyvBfrgz/AM3pUODp\
4e4rAAAAAElFTkSuQmCC";

var alternate64 = "data:image/png;base64,\
iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A\
/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9wDDBAWLw8xmGIAAAAdaVRYdENv\
bW1lbnQAAAAAAENyZWF0ZWQgd2l0aCBHSU1QZC5lBwAAAIVJREFUGNON0LFtAlEQhOFvH9eIIaAJ\
kNyK5eYoBCEXYWcWLRBx48DPMveS45cm2Rlpd6eSoFSl0FD+uUMilVCVhh2OlpzxhRkpsiUn8j3o\
RPa/GdmQt25k0JW8k6n1FWWF5kkagttacOrBj/7hYfAvfX7/q6fwgtfh3jM+MddQ+KMWhf8AJHtC\
9jE6qIUAAAAASUVORK5CYII=";

GameEngine.Renderer.generateCanvas();
GameEngine.Renderer.setCanvasSize(800, 600);
GameEngine.Renderer.setBackgroundColor("black");
GameEngine.Renderer.setFramerate(50);

var brush = new GameEngine.Renderer.Model(brush64);
var brush2 = new GameEngine.Renderer.Model(alternate64);

var drawing = false;
var drawing2 = false;

function gameFunction() {
	if(drawing) {
		brush.x = GameEngine.Mouse.x;
		brush.y = GameEngine.Mouse.y;
	
		brush.render();
	} else if(drawing2) {
		brush2.x = GameEngine.Mouse.x;
		brush2.y = GameEngine.Mouse.y;
	
		brush2.render();
	}
}

function mouseListener(event) {
	if(event.getEventType() == GameEngine.Mouse.MouseEvent.EVENT_WHEEL) {
		var value;
		
		if(event.getButtonNumber() < 0)
			value = 0.5;
		else
			value = 2;
		
		brush.scaleX *= value;
		brush.scaleY *= value;
		
		brush2.scaleX *= value;
		brush2.scaleY *= value;
	} else if(event.getButtonNumber() == GameEngine.Mouse.MouseEvent.MOUSE_LEFT) {
		if(event.getEventType() == GameEngine.Mouse.MouseEvent.EVENT_PRESS) {
			drawing = true;
		} else if(event.getEventType() == GameEngine.Mouse.MouseEvent.EVENT_RELEASE) {
			drawing = false;
		}
	} else if(event.getButtonNumber() == GameEngine.Mouse.MouseEvent.MOUSE_RIGHT) {
		if(event.getEventType() == GameEngine.Mouse.MouseEvent.EVENT_PRESS) {
			drawing2 = true;
		} else if(event.getEventType() == GameEngine.Mouse.MouseEvent.EVENT_RELEASE) {
			drawing2 = false;
		}
	}
}

GameEngine.Mouse.addMouseListener(mouseListener);

GameEngine.startGame(gameFunction);